maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Benjamin Bentmann (JIRA)" <j...@codehaus.org>
Subject [jira] Commented: (MNG-4768) Depending on declaration order, nearest matching version does not win when version range is involved in conflict
Date Tue, 17 Aug 2010 19:11:32 GMT

    [ http://jira.codehaus.org/browse/MNG-4768?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=232279#action_232279
] 

Benjamin Bentmann commented on MNG-4768:
----------------------------------------

And just for fun, the second dependency tree sketched above yields:
{noformat}
[INFO] [dependency:tree {execution: default-cli}]
[INFO] org.apache.maven.its.mng4768:adb:pom:0.1
[INFO] +- org.apache.maven.its.mng4768:a:jar:2.0:compile
[INFO] +- org.apache.maven.its.mng4768:d:jar:0.1:compile
[INFO] \- org.apache.maven.its.mng4768:b:jar:0.1:compile
[INFO]    \- org.apache.maven.its.mng4768:c:jar:0.1:compile
{noformat}
i.e. the plugin output doesn't match up with the artifacts actually used by Maven for the
classpath.

> Depending on declaration order, nearest matching version does not win when version range
is involved in conflict
> ----------------------------------------------------------------------------------------------------------------
>
>                 Key: MNG-4768
>                 URL: http://jira.codehaus.org/browse/MNG-4768
>             Project: Maven 2 & 3
>          Issue Type: Bug
>          Components: Dependencies
>    Affects Versions: 2.2.1, 3.0-beta-2
>            Reporter: Benjamin Bentmann
>
> Consider these two dirty trees that differ only by the order of direct dependencies:
> {noformat}
> project
> +- a:1.0
> +- b:0.1
> |  \- c:0.1
> |     \- a:[2.0,3)
> \- d:0.1
>    \- a:2.0
> {noformat}
> {noformat}
> project
> +- a:1.0
> +- d:0.1
> |  \- a:2.0
> \- b:0.1
>    \- c:0.1
>       \- a:[2.0,3)
> {noformat}
> Further assume the repository contains version 1.0, 2.0 and 2.1 of {{a}}. Also note that
each occurrence of {{a}} appears on a different tree depth.
> The first tree picks version 2.0, the latter 2.1 (from the range), although 2.0 is the
nearer declaration (lower depth).

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message